Skip to main content
GET
/
api
/
v1
/
issues
/
stats
Get issue statistics
curl --request GET \
  --url https://neo.api.projectdiscovery.io/api/v1/issues/stats
{
  "by_priority": [
    {
      "count": 123,
      "label": "<string>"
    }
  ],
  "by_severity": [
    {
      "count": 123,
      "label": "<string>"
    }
  ],
  "by_source": [
    {
      "count": 123,
      "label": "<string>"
    }
  ],
  "by_status": [
    {
      "count": 123,
      "label": "<string>"
    }
  ],
  "by_type": [
    {
      "count": 123,
      "label": "<string>"
    }
  ],
  "total": 123,
  "by_target_type": [
    {
      "count": 123,
      "label": "<string>"
    }
  ]
}

Query Parameters

severity
enum<string>[]

Filter by severity (OR within)

Available options:
critical,
high,
medium,
low,
info,
unknown
status
enum<string>[]

Filter by status (OR within)

Available options:
unverified,
open,
confirmed,
in_progress,
resolved,
false_positive,
accepted_risk,
duplicate
type
enum<string>[]

Filter by type (OR within)

Available options:
vulnerability,
misconfiguration,
exposure,
information,
compliance,
other
source
string[]

Filter by source (OR within, any string value)

priority
enum<string>[]

Filter by priority (OR within)

Available options:
critical,
high,
medium,
low,
none
confidence
enum<string>[]

Filter by confidence (OR within)

Available options:
confirmed,
firm,
tentative
host
string

Filter by host (partial match)

ip_address
string

Filter by IP address (partial match)

template_id
string

Filter by template ID (partial match)

component
string

Filter by component (partial match)

assignee
string

Filter by assignee (partial match)

port
integer

Filter by port (exact match)

tags
string[]

Filter by tags (must have ALL)

Full-text search across title, description, host, template

created_after
string<date-time>

Filter issues created after this timestamp

created_before
string<date-time>

Filter issues created before this timestamp

target
string

Filter by target field (partial match)

target_type
string

Filter by target_type (exact match)

project_id
string<uuid>

Scope statistics to a specific project

task_id
string

Scope statistics to a specific task

Response

Issue statistics

by_priority
object[]
required
by_severity
object[]
required
by_source
object[]
required
by_status
object[]
required
by_type
object[]
required
total
integer
required
by_target_type
object[]